nvme_mi_admin_identify_secondary_ctrl_list(2)

NAME
nvme_mi_admin_identify_secondary_ctrl_list - Perform an Admin identify for a secondary controller list.

SYNOPSIS
int nvme_mi_admin_identify_secondary_ctrl_list (nvme_mi_ctrl_t ctrl , __u16 cntid , struct nvme_secondary_ctrl_list *list );

ARGUMENTS

ctrl
    Controller to process identify command

cntid
    Controller ID to specify list start

list
    List data to populate

DESCRIPTION
Perform an Identify command, for the secondary controllers associated with the current primary controller. Only entries with IDs greater than or equal to cntid are returned.

Will return an error if the length of the response data (from the controller) is not a full NVME_IDENTIFY_DATA_SIZE, so list will be be fully populated on success.

See: struct nvme_secondary_ctrl_list

RETURN
0 on success, non-zero on failure